cancel
Showing results for 
Search instead for 
Did you mean: 

I need a urgent help

Jack Kiengsiri
Occasional Visitor

I need a urgent help

Hello i was recently trying to install a script on my root and when i run the srcipt with perl smtp.pl i got the following error pls help:


Can't locate Net/SSLeay.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8 .) at /usr/lib/perl5/site_perl/5.8.8/IO/Socket/SSL.pm line 18.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.8/IO/Socket/SSL.pm line 18.
Compilation failed in require at smtp.pl line 5.
3 REPLIES
Dennis Handly
Acclaimed Contributor

Re: I need a urgent help

Have you tried doing a find for SSLeay.pm?
find /usr -name SSLeay.pm
Marcin Bartoszek
Occasional Advisor

Re: I need a urgent help

1. Install Net::SSLeay Perl module from the package delivered by the vendor of your OS or download it from http://search.cpan.org/CPAN/authors/id/S/SA/SAMPO/Net_SSLeay.pm-1.25.tar.gz

2. Check if the module is in Perl module include path: perl -e 'use NET::SSLeay;' && echo $? (success if 0 returned).

3. If you installed the module in a non-standard path, modify smtp.pl to instruct Perl what is your non-standard module path, e.g.:
use lib '/my/perl/module/path';

Regards,
Marcin
Matt Palmer_2
Respected Contributor

Re: I need a urgent help

Hi,

try:
$> perl -MCPAN -e shell
perl>install Net::SSLeay

that should tell you if its already 'there' and if not pull it down from your preferred mirrors.

Hope that helps

regards

Matt